@mixin md {
  @media (min-width: 768px) {
    @content;
  }
}

@mixin flex-content-center {
  display: flex;
  align-items: center;
  justify-content: center;
}

@mixin placeholder($color, $size, $weight, $style, $lineHeight) {
  &::-webkit-input-placeholder {
    /* WebKit browsers */
    color: $color;
    font-size: $size;
    font-weight: $weight;
    font-style: $style;
    line-height: $lineHeight;
  }
  &:-moz-placeholder {
    /* Mozilla Firefox 4 to 18 */
    color: $color;
    font-size: $size;
    font-weight: $weight;
    font-style: $style;
    line-height: $lineHeight;
  }
  &::-moz-placeholder {
    /* Mozilla Firefox 19+ */
    color: $color;
    font-size: $size;
    font-weight: $weight;
    font-style: $style;
    line-height: $lineHeight;
  }
  &:-ms-input-placeholder {
    /* Internet Explorer 10+ */
    color: $color;
    font-size: $size;
    font-weight: $weight;
    font-style: $style;
    line-height: $lineHeight;
  }
}
